<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#comment>通用配置文件</#comment>
<#assign nacosUrl = "172.16.102.211:8848" >
<#if sysrun?? >
    <#if sysrun.getPSDevSlnMSDepApp()??>
        <#assign sysr = sysrun.getPSDevSlnMSDepApp()/>
        <#if sysr.getPSDCMSPlatformNode()??>
            <#if sysr.getPSDCMSPlatformNode().getPSDCMSPlatform().getUserParam("nacos","172.16.102.211:8848")??>
                <#assign nacosUrl = sysr.getPSDCMSPlatformNode().getPSDCMSPlatform().getUserParam("nacos","172.16.102.211:8848")>
            </#if>
        </#if>
    </#if>
</#if>
#nacos配置中心、数据源
spring:
  cloud:
    nacos:
      discovery:
        server-addr: ${nacosUrl}
<#if sysrun.getPSDBDevInst()??>
    <#assign dbinst = sysrun.getPSDBDevInst()>
  datasource:
    username: ${dbinst.getUserName()}
    password: '${dbinst.getPassword()}'
    url: ${dbinst.getConnUrl()}
    driver-class-name: <#if (dbinst.getDBType()=='MYSQL5')>com.mysql.jdbc.Driver<#elseif (dbinst.getDBType()=='DB2')>com.ibm.db2.jcc.DB2Driver<#elseif (dbinst.getDBType()=='ORACLE')>oracle.jdbc.driver.OracleDriver<#elseif (dbinst.getDBType()=='SQLSERVER')>com.microsoft.sqlserver.jdbc.SQLServerDriver<#elseif (dbinst.getDBType()=='POSTGRESQL')>org.postgresql.Driver<#elseif (dbinst.getDBType()=='PPAS')>com.edb.Driver</#if>
    filters: stat,wall,log4j2
    #配置初始化大小/最小/最大
    initial-size: 1
    min-idle: 1
    max-active: 20
    #获取连接等待超时时间
    max-wait: 60000
    #间隔多久进行一次检测，检测需要关闭的空闲连接
    time-between-eviction-runs-millis: 60000
    #一个连接在池中最小生存的时间
    min-evictable-idle-time-millis: 300000
    validation-query: SELECT 1 FROM DUAL
    test-while-idle: true
    test-on-borrow: false
    test-on-return: false
    #打开PSCache，并指定每个连接上PSCache的大小。oracle设为true，mysql设为false。分库分表较多推荐设置为false
    pool-prepared-statements: false
    max-pool-prepared-statement-per-connection-size: 20
    isSyncDBSchema: false
    defaultSchema: ${dbinst.getUserName()}
    conf: classpath:liquibase/master.xml
</#if>

#Mybatis-plus配置
mybatis-plus:
  global-config:
    refresh-mapper: true
    db-config:
      # 全局逻辑已删除默认值
      logic-delete-value: 0
      # 全局逻辑未删除默认值
      logic-not-delete-value: 1
  mapper-locations: classpath*:/mapper/*/*/*.xml
  configuration:
    jdbc-type-for-null: 'null'
    map-underscore-to-camel-case: false

#阿里sentinel熔断器
feign:
  sentinel:
    enabled: true

#Log配置
logging:
  level:
    ${pub.getPKGCodeName()}: debug
    org.springframework.boot.autoconfigure: ERROR

#zuul网关超时设置
ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000

#系统是否开启权限验证
ibiz:
  enablePermissionValid: false
